> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Updates import

POST https://meta.feedonomics.com/api.php/dbs/{db_id}/imports/{import_id}
Content-Type: application/json

Reference: https://docs.feedonomics.com/developer/api-reference/rest/platform-api/imports/update-import

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `db_id` (double, required)
- `import_id` (double, required)

### Headers

- `x-api-key` (string, required)

### Body (application/json)

This endpoint expects an object.

- `name` (string, required)
- `join_type` (string, required)
- `file_location` (string, required)
- `tags` (DbsDbIdImportsImportIdPostRequestBodyContentApplicationJsonSchemaTags, required)
- `preprocess_info` (DbsDbIdImportsImportIdPostRequestBodyContentApplicationJsonSchemaPreprocessInfo, optional)
- `url` (string, optional)

## Response

### 200

Imported Updated

- `any`

## Errors

### 400 Bad Request Error

Fail response

- `any`

## Types

### DbsDbIdImportsImportIdPostRequestBodyContentApplicationJsonSchemaTags

### DbsDbIdImportsImportIdPostRequestBodyContentApplicationJsonSchemaPreprocessInfo

## Examples

### Imports_updateImport_example

**Response**

```json
{
  "backup_cxn_id": null,
  "backup_failures": "0",
  "clean_file_headers": "0",
  "created_at": "2021-09-27 18:31:50",
  "cron": null,
  "cxn_id": "10726",
  "db_id": "136",
  "download_activity_timeout": "0",
  "file_location": "preprocess_script",
  "file_type": "delimited",
  "force_encoding": "0",
  "ftp_allow_minio_direct": "0",
  "id": "138",
  "ignore_lines": "1",
  "join_type": "product_feed",
  "last_backup_time": "0000-00-00 00:00:00",
  "last_download_size": "0",
  "last_download_status": "fail",
  "last_download_time": "2021-09-27 18:31:51",
  "limits": "",
  "line_terminator": null,
  "load_threshold": "1",
  "max_attempts": "1",
  "name": "bigcommerce",
  "name_based_maps": "1",
  "needs_backup": "1",
  "next_run_time": null,
  "running": "0",
  "status": "0",
  "time_between_attempts": "1",
  "timeout": "1800",
  "timestamp": "2021-11-15 16:45:47",
  "update_threshold": "1",
  "xml_force_parse": "0",
  "xmlreader": "0"
}
```

**SDK Code**

```python Imports_updateImport_example
import requests

url = "https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1"

headers = {
    "x-api-key": "x-api-key",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Imports_updateImport_example
const url = 'https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1';
const options = {
  method: 'POST',
  headers: {'x-api-key': 'x-api-key', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Imports_updateImport_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "x-api-key")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Imports_updateImport_example
require 'uri'
require 'net/http'

url = URI("https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = 'x-api-key'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Imports_updateImport_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1")
  .header("x-api-key", "x-api-key")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Imports_updateImport_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'x-api-key' => 'x-api-key',
  ],
]);

echo $response->getBody();
```

```csharp Imports_updateImport_example
using RestSharp;

var client = new RestClient("https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "x-api-key");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Imports_updateImport_example
import Foundation

let headers = [
  "x-api-key": "x-api-key",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### big_commerce

**Request**

```json
{
  "name": "bigcommerce",
  "join_type": "product_feed",
  "file_location": "preprocess_script",
  "tags": {
    "platform": "Bigcommerce"
  },
  "preprocess_info": {
    "actions": {},
    "connection_info": {
      "access_token": "token",
      "additional_image_sizes": true,
      "additional_options": "product_reviews,product_metafields,google_fields,complex_rules,category_tree,category_metafields,variant_metafields",
      "client": "bigcommerce",
      "client_id": "id",
      "protocol": "api",
      "store_hash": "hash",
      "store_url": "https:\\/\\/feedonomicssandbox.mybigcommerce.com"
    },
    "file_info": {
      "request_type": "get"
    }
  },
  "url": "https:\\/\\/haproxy-preprocess.feedonomics.com\\/preprocess\\/run_preprocess.php?connection_info%5Bclient%5D=bigcommerce&amp;connection_info%5Bprotocol%5D=api&amp;connection_info%5Baccess_token%5D=token&amp;connection_info%5Bclient_id%5D=id&amp;connection_info%5Bstore_hash%5D=hash&amp;connection_info%5Bstore_url%5D=https%3A%2F%2Ffeedonomicssandbox.mybigcommerce.com&amp;connection_info%5Badditional_options%5D=product_reviews%2Cproduct_metafields%2Cgoogle_fields%2Ccomplex_rules%2Ccategory_tree%2Ccategory_metafields%2Cvariant_metafields&amp;connection_info%5Badditional_image_sizes%5D=true&amp;file_info%5Brequest_type%5D=get&amp;"
}
```

**Response**

```json
{
  "backup_cxn_id": null,
  "backup_failures": "0",
  "clean_file_headers": "0",
  "created_at": "2021-09-27 18:31:50",
  "cron": null,
  "cxn_id": "10726",
  "db_id": "136",
  "download_activity_timeout": "0",
  "file_location": "preprocess_script",
  "file_type": "delimited",
  "force_encoding": "0",
  "ftp_allow_minio_direct": "0",
  "id": "138",
  "ignore_lines": "1",
  "join_type": "product_feed",
  "last_backup_time": "0000-00-00 00:00:00",
  "last_download_size": "0",
  "last_download_status": "fail",
  "last_download_time": "2021-09-27 18:31:51",
  "limits": "",
  "line_terminator": null,
  "load_threshold": "1",
  "max_attempts": "1",
  "name": "bigcommerce",
  "name_based_maps": "1",
  "needs_backup": "1",
  "next_run_time": null,
  "running": "0",
  "status": "0",
  "time_between_attempts": "1",
  "timeout": "1800",
  "timestamp": "2021-11-15 16:45:47",
  "update_threshold": "1",
  "xml_force_parse": "0",
  "xmlreader": "0"
}
```

**SDK Code**

```python big_commerce
import requests

url = "https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1"

payload = {
    "name": "bigcommerce",
    "join_type": "product_feed",
    "file_location": "preprocess_script",
    "tags": { "platform": "Bigcommerce" },
    "preprocess_info": {
        "actions": {},
        "connection_info": {
            "access_token": "token",
            "additional_image_sizes": True,
            "additional_options": "product_reviews,product_metafields,google_fields,complex_rules,category_tree,category_metafields,variant_metafields",
            "client": "bigcommerce",
            "client_id": "id",
            "protocol": "api",
            "store_hash": "hash",
            "store_url": "https:\/\/feedonomicssandbox.mybigcommerce.com"
        },
        "file_info": { "request_type": "get" }
    },
    "url": "https:\/\/haproxy-preprocess.feedonomics.com\/preprocess\/run_preprocess.php?connection_info%5Bclient%5D=bigcommerce&amp;connection_info%5Bprotocol%5D=api&amp;connection_info%5Baccess_token%5D=token&amp;connection_info%5Bclient_id%5D=id&amp;connection_info%5Bstore_hash%5D=hash&amp;connection_info%5Bstore_url%5D=https%3A%2F%2Ffeedonomicssandbox.mybigcommerce.com&amp;connection_info%5Badditional_options%5D=product_reviews%2Cproduct_metafields%2Cgoogle_fields%2Ccomplex_rules%2Ccategory_tree%2Ccategory_metafields%2Cvariant_metafields&amp;connection_info%5Badditional_image_sizes%5D=true&amp;file_info%5Brequest_type%5D=get&amp;"
}
headers = {
    "x-api-key": "x-api-key",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript big_commerce
const url = 'https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1';
const options = {
  method: 'POST',
  headers: {
    'x-api-key': 'x-api-key',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{"name":"bigcommerce","join_type":"product_feed","file_location":"preprocess_script","tags":{"platform":"Bigcommerce"},"preprocess_info":{"actions":{},"connection_info":{"access_token":"token","additional_image_sizes":true,"additional_options":"product_reviews,product_metafields,google_fields,complex_rules,category_tree,category_metafields,variant_metafields","client":"bigcommerce","client_id":"id","protocol":"api","store_hash":"hash","store_url":"https:\\/\\/feedonomicssandbox.mybigcommerce.com"},"file_info":{"request_type":"get"}},"url":"https:\\/\\/haproxy-preprocess.feedonomics.com\\/preprocess\\/run_preprocess.php?connection_info%5Bclient%5D=bigcommerce&amp;connection_info%5Bprotocol%5D=api&amp;connection_info%5Baccess_token%5D=token&amp;connection_info%5Bclient_id%5D=id&amp;connection_info%5Bstore_hash%5D=hash&amp;connection_info%5Bstore_url%5D=https%3A%2F%2Ffeedonomicssandbox.mybigcommerce.com&amp;connection_info%5Badditional_options%5D=product_reviews%2Cproduct_metafields%2Cgoogle_fields%2Ccomplex_rules%2Ccategory_tree%2Ccategory_metafields%2Cvariant_metafields&amp;connection_info%5Badditional_image_sizes%5D=true&amp;file_info%5Brequest_type%5D=get&amp;"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go big_commerce
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1"

	payload := strings.NewReader("{\n  \"name\": \"bigcommerce\",\n  \"join_type\": \"product_feed\",\n  \"file_location\": \"preprocess_script\",\n  \"tags\": {\n    \"platform\": \"Bigcommerce\"\n  },\n  \"preprocess_info\": {\n    \"actions\": {},\n    \"connection_info\": {\n      \"access_token\": \"token\",\n      \"additional_image_sizes\": true,\n      \"additional_options\": \"product_reviews,product_metafields,google_fields,complex_rules,category_tree,category_metafields,variant_metafields\",\n      \"client\": \"bigcommerce\",\n      \"client_id\": \"id\",\n      \"protocol\": \"api\",\n      \"store_hash\": \"hash\",\n      \"store_url\": \"https:\\\\/\\\\/feedonomicssandbox.mybigcommerce.com\"\n    },\n    \"file_info\": {\n      \"request_type\": \"get\"\n    }\n  },\n  \"url\": \"https:\\\\/\\\\/haproxy-preprocess.feedonomics.com\\\\/preprocess\\\\/run_preprocess.php?connection_info%5Bclient%5D=bigcommerce&amp;connection_info%5Bprotocol%5D=api&amp;connection_info%5Baccess_token%5D=token&amp;connection_info%5Bclient_id%5D=id&amp;connection_info%5Bstore_hash%5D=hash&amp;connection_info%5Bstore_url%5D=https%3A%2F%2Ffeedonomicssandbox.mybigcommerce.com&amp;connection_info%5Badditional_options%5D=product_reviews%2Cproduct_metafields%2Cgoogle_fields%2Ccomplex_rules%2Ccategory_tree%2Ccategory_metafields%2Cvariant_metafields&amp;connection_info%5Badditional_image_sizes%5D=true&amp;file_info%5Brequest_type%5D=get&amp;\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "x-api-key")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby big_commerce
require 'uri'
require 'net/http'

url = URI("https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = 'x-api-key'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"bigcommerce\",\n  \"join_type\": \"product_feed\",\n  \"file_location\": \"preprocess_script\",\n  \"tags\": {\n    \"platform\": \"Bigcommerce\"\n  },\n  \"preprocess_info\": {\n    \"actions\": {},\n    \"connection_info\": {\n      \"access_token\": \"token\",\n      \"additional_image_sizes\": true,\n      \"additional_options\": \"product_reviews,product_metafields,google_fields,complex_rules,category_tree,category_metafields,variant_metafields\",\n      \"client\": \"bigcommerce\",\n      \"client_id\": \"id\",\n      \"protocol\": \"api\",\n      \"store_hash\": \"hash\",\n      \"store_url\": \"https:\\\\/\\\\/feedonomicssandbox.mybigcommerce.com\"\n    },\n    \"file_info\": {\n      \"request_type\": \"get\"\n    }\n  },\n  \"url\": \"https:\\\\/\\\\/haproxy-preprocess.feedonomics.com\\\\/preprocess\\\\/run_preprocess.php?connection_info%5Bclient%5D=bigcommerce&amp;connection_info%5Bprotocol%5D=api&amp;connection_info%5Baccess_token%5D=token&amp;connection_info%5Bclient_id%5D=id&amp;connection_info%5Bstore_hash%5D=hash&amp;connection_info%5Bstore_url%5D=https%3A%2F%2Ffeedonomicssandbox.mybigcommerce.com&amp;connection_info%5Badditional_options%5D=product_reviews%2Cproduct_metafields%2Cgoogle_fields%2Ccomplex_rules%2Ccategory_tree%2Ccategory_metafields%2Cvariant_metafields&amp;connection_info%5Badditional_image_sizes%5D=true&amp;file_info%5Brequest_type%5D=get&amp;\"\n}"

response = http.request(request)
puts response.read_body
```

```java big_commerce
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1")
  .header("x-api-key", "x-api-key")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"bigcommerce\",\n  \"join_type\": \"product_feed\",\n  \"file_location\": \"preprocess_script\",\n  \"tags\": {\n    \"platform\": \"Bigcommerce\"\n  },\n  \"preprocess_info\": {\n    \"actions\": {},\n    \"connection_info\": {\n      \"access_token\": \"token\",\n      \"additional_image_sizes\": true,\n      \"additional_options\": \"product_reviews,product_metafields,google_fields,complex_rules,category_tree,category_metafields,variant_metafields\",\n      \"client\": \"bigcommerce\",\n      \"client_id\": \"id\",\n      \"protocol\": \"api\",\n      \"store_hash\": \"hash\",\n      \"store_url\": \"https:\\\\/\\\\/feedonomicssandbox.mybigcommerce.com\"\n    },\n    \"file_info\": {\n      \"request_type\": \"get\"\n    }\n  },\n  \"url\": \"https:\\\\/\\\\/haproxy-preprocess.feedonomics.com\\\\/preprocess\\\\/run_preprocess.php?connection_info%5Bclient%5D=bigcommerce&amp;connection_info%5Bprotocol%5D=api&amp;connection_info%5Baccess_token%5D=token&amp;connection_info%5Bclient_id%5D=id&amp;connection_info%5Bstore_hash%5D=hash&amp;connection_info%5Bstore_url%5D=https%3A%2F%2Ffeedonomicssandbox.mybigcommerce.com&amp;connection_info%5Badditional_options%5D=product_reviews%2Cproduct_metafields%2Cgoogle_fields%2Ccomplex_rules%2Ccategory_tree%2Ccategory_metafields%2Cvariant_metafields&amp;connection_info%5Badditional_image_sizes%5D=true&amp;file_info%5Brequest_type%5D=get&amp;\"\n}")
  .asString();
```

```php big_commerce
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1', [
  'body' => '{
  "name": "bigcommerce",
  "join_type": "product_feed",
  "file_location": "preprocess_script",
  "tags": {
    "platform": "Bigcommerce"
  },
  "preprocess_info": {
    "actions": {},
    "connection_info": {
      "access_token": "token",
      "additional_image_sizes": true,
      "additional_options": "product_reviews,product_metafields,google_fields,complex_rules,category_tree,category_metafields,variant_metafields",
      "client": "bigcommerce",
      "client_id": "id",
      "protocol": "api",
      "store_hash": "hash",
      "store_url": "https:\\\\/\\\\/feedonomicssandbox.mybigcommerce.com"
    },
    "file_info": {
      "request_type": "get"
    }
  },
  "url": "https:\\\\/\\\\/haproxy-preprocess.feedonomics.com\\\\/preprocess\\\\/run_preprocess.php?connection_info%5Bclient%5D=bigcommerce&amp;connection_info%5Bprotocol%5D=api&amp;connection_info%5Baccess_token%5D=token&amp;connection_info%5Bclient_id%5D=id&amp;connection_info%5Bstore_hash%5D=hash&amp;connection_info%5Bstore_url%5D=https%3A%2F%2Ffeedonomicssandbox.mybigcommerce.com&amp;connection_info%5Badditional_options%5D=product_reviews%2Cproduct_metafields%2Cgoogle_fields%2Ccomplex_rules%2Ccategory_tree%2Ccategory_metafields%2Cvariant_metafields&amp;connection_info%5Badditional_image_sizes%5D=true&amp;file_info%5Brequest_type%5D=get&amp;"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'x-api-key' => 'x-api-key',
  ],
]);

echo $response->getBody();
```

```csharp big_commerce
using RestSharp;

var client = new RestClient("https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "x-api-key");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"bigcommerce\",\n  \"join_type\": \"product_feed\",\n  \"file_location\": \"preprocess_script\",\n  \"tags\": {\n    \"platform\": \"Bigcommerce\"\n  },\n  \"preprocess_info\": {\n    \"actions\": {},\n    \"connection_info\": {\n      \"access_token\": \"token\",\n      \"additional_image_sizes\": true,\n      \"additional_options\": \"product_reviews,product_metafields,google_fields,complex_rules,category_tree,category_metafields,variant_metafields\",\n      \"client\": \"bigcommerce\",\n      \"client_id\": \"id\",\n      \"protocol\": \"api\",\n      \"store_hash\": \"hash\",\n      \"store_url\": \"https:\\\\/\\\\/feedonomicssandbox.mybigcommerce.com\"\n    },\n    \"file_info\": {\n      \"request_type\": \"get\"\n    }\n  },\n  \"url\": \"https:\\\\/\\\\/haproxy-preprocess.feedonomics.com\\\\/preprocess\\\\/run_preprocess.php?connection_info%5Bclient%5D=bigcommerce&amp;connection_info%5Bprotocol%5D=api&amp;connection_info%5Baccess_token%5D=token&amp;connection_info%5Bclient_id%5D=id&amp;connection_info%5Bstore_hash%5D=hash&amp;connection_info%5Bstore_url%5D=https%3A%2F%2Ffeedonomicssandbox.mybigcommerce.com&amp;connection_info%5Badditional_options%5D=product_reviews%2Cproduct_metafields%2Cgoogle_fields%2Ccomplex_rules%2Ccategory_tree%2Ccategory_metafields%2Cvariant_metafields&amp;connection_info%5Badditional_image_sizes%5D=true&amp;file_info%5Brequest_type%5D=get&amp;\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift big_commerce
import Foundation

let headers = [
  "x-api-key": "x-api-key",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "bigcommerce",
  "join_type": "product_feed",
  "file_location": "preprocess_script",
  "tags": ["platform": "Bigcommerce"],
  "preprocess_info": [
    "actions": [],
    "connection_info": [
      "access_token": "token",
      "additional_image_sizes": true,
      "additional_options": "product_reviews,product_metafields,google_fields,complex_rules,category_tree,category_metafields,variant_metafields",
      "client": "bigcommerce",
      "client_id": "id",
      "protocol": "api",
      "store_hash": "hash",
      "store_url": "https:\/\/feedonomicssandbox.mybigcommerce.com"
    ],
    "file_info": ["request_type": "get"]
  ],
  "url": "https:\/\/haproxy-preprocess.feedonomics.com\/preprocess\/run_preprocess.php?connection_info%5Bclient%5D=bigcommerce&amp;connection_info%5Bprotocol%5D=api&amp;connection_info%5Baccess_token%5D=token&amp;connection_info%5Bclient_id%5D=id&amp;connection_info%5Bstore_hash%5D=hash&amp;connection_info%5Bstore_url%5D=https%3A%2F%2Ffeedonomicssandbox.mybigcommerce.com&amp;connection_info%5Badditional_options%5D=product_reviews%2Cproduct_metafields%2Cgoogle_fields%2Ccomplex_rules%2Ccategory_tree%2Ccategory_metafields%2Cvariant_metafields&amp;connection_info%5Badditional_image_sizes%5D=true&amp;file_info%5Brequest_type%5D=get&amp;"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### ftp

**Request**

```json
{
  "name": "ftp",
  "join_type": "product_feed",
  "file_location": "preprocess_script",
  "tags": {
    "platform": "Not Applicable"
  },
  "preprocess_info": {
    "actions": {
      "id": "remove_bad_characters",
      "options": 1
    },
    "connection_info": {
      "host": "ftp2.feedonomics.com",
      "password": "password",
      "protocol": "ftp",
      "username": "username"
    },
    "file_info": {
      "clean_ftp": false,
      "directory": "\\/FEED110",
      "file_match": "",
      "file_type_name": "File Name",
      "filename": "1_import_practical.txt",
      "keep_files_count": "",
      "request_type": "get"
    }
  },
  "url": "https:\\/\\/haproxy-preprocess.feedonomics.com\\/preprocess\\/run_preprocess.php?connection_info%5Bprotocol%5D=ftp&amp;connection_info%5Bhost%5D=ftp2.feedonomics.com&amp;connection_info%5Busername%5D=username&amp;connection_info%5Bpassword%5D=password&amp;file_info%5Brequest_type%5D=get&amp;file_info%5Bfile_type_name%5D=File%20Name&amp;file_info%5Bclean_ftp%5D=false&amp;file_info%5Bdirectory%5D=%2FFEED110&amp;file_info%5Bfilename%5D=1_import_practical.txt&amp;actions%5Bremove_bad_characters%5D=1"
}
```

**Response**

```json
{
  "backup_cxn_id": null,
  "backup_failures": "0",
  "clean_file_headers": "0",
  "created_at": "2021-09-27 18:31:50",
  "cron": null,
  "cxn_id": "10726",
  "db_id": "136",
  "download_activity_timeout": "0",
  "file_location": "preprocess_script",
  "file_type": "delimited",
  "force_encoding": "0",
  "ftp_allow_minio_direct": "0",
  "id": "138",
  "ignore_lines": "1",
  "join_type": "product_feed",
  "last_backup_time": "0000-00-00 00:00:00",
  "last_download_size": "0",
  "last_download_status": "fail",
  "last_download_time": "2021-09-27 18:31:51",
  "limits": "",
  "line_terminator": null,
  "load_threshold": "1",
  "max_attempts": "1",
  "name": "bigcommerce",
  "name_based_maps": "1",
  "needs_backup": "1",
  "next_run_time": null,
  "running": "0",
  "status": "0",
  "time_between_attempts": "1",
  "timeout": "1800",
  "timestamp": "2021-11-15 16:45:47",
  "update_threshold": "1",
  "xml_force_parse": "0",
  "xmlreader": "0"
}
```

**SDK Code**

```python ftp
import requests

url = "https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1"

payload = {
    "name": "ftp",
    "join_type": "product_feed",
    "file_location": "preprocess_script",
    "tags": { "platform": "Not Applicable" },
    "preprocess_info": {
        "actions": {
            "id": "remove_bad_characters",
            "options": 1
        },
        "connection_info": {
            "host": "ftp2.feedonomics.com",
            "password": "password",
            "protocol": "ftp",
            "username": "username"
        },
        "file_info": {
            "clean_ftp": False,
            "directory": "\/FEED110",
            "file_match": "",
            "file_type_name": "File Name",
            "filename": "1_import_practical.txt",
            "keep_files_count": "",
            "request_type": "get"
        }
    },
    "url": "https:\/\/haproxy-preprocess.feedonomics.com\/preprocess\/run_preprocess.php?connection_info%5Bprotocol%5D=ftp&amp;connection_info%5Bhost%5D=ftp2.feedonomics.com&amp;connection_info%5Busername%5D=username&amp;connection_info%5Bpassword%5D=password&amp;file_info%5Brequest_type%5D=get&amp;file_info%5Bfile_type_name%5D=File%20Name&amp;file_info%5Bclean_ftp%5D=false&amp;file_info%5Bdirectory%5D=%2FFEED110&amp;file_info%5Bfilename%5D=1_import_practical.txt&amp;actions%5Bremove_bad_characters%5D=1"
}
headers = {
    "x-api-key": "x-api-key",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript ftp
const url = 'https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1';
const options = {
  method: 'POST',
  headers: {
    'x-api-key': 'x-api-key',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{"name":"ftp","join_type":"product_feed","file_location":"preprocess_script","tags":{"platform":"Not Applicable"},"preprocess_info":{"actions":{"id":"remove_bad_characters","options":1},"connection_info":{"host":"ftp2.feedonomics.com","password":"password","protocol":"ftp","username":"username"},"file_info":{"clean_ftp":false,"directory":"\\/FEED110","file_match":"","file_type_name":"File Name","filename":"1_import_practical.txt","keep_files_count":"","request_type":"get"}},"url":"https:\\/\\/haproxy-preprocess.feedonomics.com\\/preprocess\\/run_preprocess.php?connection_info%5Bprotocol%5D=ftp&amp;connection_info%5Bhost%5D=ftp2.feedonomics.com&amp;connection_info%5Busername%5D=username&amp;connection_info%5Bpassword%5D=password&amp;file_info%5Brequest_type%5D=get&amp;file_info%5Bfile_type_name%5D=File%20Name&amp;file_info%5Bclean_ftp%5D=false&amp;file_info%5Bdirectory%5D=%2FFEED110&amp;file_info%5Bfilename%5D=1_import_practical.txt&amp;actions%5Bremove_bad_characters%5D=1"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go ftp
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1"

	payload := strings.NewReader("{\n  \"name\": \"ftp\",\n  \"join_type\": \"product_feed\",\n  \"file_location\": \"preprocess_script\",\n  \"tags\": {\n    \"platform\": \"Not Applicable\"\n  },\n  \"preprocess_info\": {\n    \"actions\": {\n      \"id\": \"remove_bad_characters\",\n      \"options\": 1\n    },\n    \"connection_info\": {\n      \"host\": \"ftp2.feedonomics.com\",\n      \"password\": \"password\",\n      \"protocol\": \"ftp\",\n      \"username\": \"username\"\n    },\n    \"file_info\": {\n      \"clean_ftp\": false,\n      \"directory\": \"\\\\/FEED110\",\n      \"file_match\": \"\",\n      \"file_type_name\": \"File Name\",\n      \"filename\": \"1_import_practical.txt\",\n      \"keep_files_count\": \"\",\n      \"request_type\": \"get\"\n    }\n  },\n  \"url\": \"https:\\\\/\\\\/haproxy-preprocess.feedonomics.com\\\\/preprocess\\\\/run_preprocess.php?connection_info%5Bprotocol%5D=ftp&amp;connection_info%5Bhost%5D=ftp2.feedonomics.com&amp;connection_info%5Busername%5D=username&amp;connection_info%5Bpassword%5D=password&amp;file_info%5Brequest_type%5D=get&amp;file_info%5Bfile_type_name%5D=File%20Name&amp;file_info%5Bclean_ftp%5D=false&amp;file_info%5Bdirectory%5D=%2FFEED110&amp;file_info%5Bfilename%5D=1_import_practical.txt&amp;actions%5Bremove_bad_characters%5D=1\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "x-api-key")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby ftp
require 'uri'
require 'net/http'

url = URI("https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = 'x-api-key'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"ftp\",\n  \"join_type\": \"product_feed\",\n  \"file_location\": \"preprocess_script\",\n  \"tags\": {\n    \"platform\": \"Not Applicable\"\n  },\n  \"preprocess_info\": {\n    \"actions\": {\n      \"id\": \"remove_bad_characters\",\n      \"options\": 1\n    },\n    \"connection_info\": {\n      \"host\": \"ftp2.feedonomics.com\",\n      \"password\": \"password\",\n      \"protocol\": \"ftp\",\n      \"username\": \"username\"\n    },\n    \"file_info\": {\n      \"clean_ftp\": false,\n      \"directory\": \"\\\\/FEED110\",\n      \"file_match\": \"\",\n      \"file_type_name\": \"File Name\",\n      \"filename\": \"1_import_practical.txt\",\n      \"keep_files_count\": \"\",\n      \"request_type\": \"get\"\n    }\n  },\n  \"url\": \"https:\\\\/\\\\/haproxy-preprocess.feedonomics.com\\\\/preprocess\\\\/run_preprocess.php?connection_info%5Bprotocol%5D=ftp&amp;connection_info%5Bhost%5D=ftp2.feedonomics.com&amp;connection_info%5Busername%5D=username&amp;connection_info%5Bpassword%5D=password&amp;file_info%5Brequest_type%5D=get&amp;file_info%5Bfile_type_name%5D=File%20Name&amp;file_info%5Bclean_ftp%5D=false&amp;file_info%5Bdirectory%5D=%2FFEED110&amp;file_info%5Bfilename%5D=1_import_practical.txt&amp;actions%5Bremove_bad_characters%5D=1\"\n}"

response = http.request(request)
puts response.read_body
```

```java ftp
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1")
  .header("x-api-key", "x-api-key")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"ftp\",\n  \"join_type\": \"product_feed\",\n  \"file_location\": \"preprocess_script\",\n  \"tags\": {\n    \"platform\": \"Not Applicable\"\n  },\n  \"preprocess_info\": {\n    \"actions\": {\n      \"id\": \"remove_bad_characters\",\n      \"options\": 1\n    },\n    \"connection_info\": {\n      \"host\": \"ftp2.feedonomics.com\",\n      \"password\": \"password\",\n      \"protocol\": \"ftp\",\n      \"username\": \"username\"\n    },\n    \"file_info\": {\n      \"clean_ftp\": false,\n      \"directory\": \"\\\\/FEED110\",\n      \"file_match\": \"\",\n      \"file_type_name\": \"File Name\",\n      \"filename\": \"1_import_practical.txt\",\n      \"keep_files_count\": \"\",\n      \"request_type\": \"get\"\n    }\n  },\n  \"url\": \"https:\\\\/\\\\/haproxy-preprocess.feedonomics.com\\\\/preprocess\\\\/run_preprocess.php?connection_info%5Bprotocol%5D=ftp&amp;connection_info%5Bhost%5D=ftp2.feedonomics.com&amp;connection_info%5Busername%5D=username&amp;connection_info%5Bpassword%5D=password&amp;file_info%5Brequest_type%5D=get&amp;file_info%5Bfile_type_name%5D=File%20Name&amp;file_info%5Bclean_ftp%5D=false&amp;file_info%5Bdirectory%5D=%2FFEED110&amp;file_info%5Bfilename%5D=1_import_practical.txt&amp;actions%5Bremove_bad_characters%5D=1\"\n}")
  .asString();
```

```php ftp
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1', [
  'body' => '{
  "name": "ftp",
  "join_type": "product_feed",
  "file_location": "preprocess_script",
  "tags": {
    "platform": "Not Applicable"
  },
  "preprocess_info": {
    "actions": {
      "id": "remove_bad_characters",
      "options": 1
    },
    "connection_info": {
      "host": "ftp2.feedonomics.com",
      "password": "password",
      "protocol": "ftp",
      "username": "username"
    },
    "file_info": {
      "clean_ftp": false,
      "directory": "\\\\/FEED110",
      "file_match": "",
      "file_type_name": "File Name",
      "filename": "1_import_practical.txt",
      "keep_files_count": "",
      "request_type": "get"
    }
  },
  "url": "https:\\\\/\\\\/haproxy-preprocess.feedonomics.com\\\\/preprocess\\\\/run_preprocess.php?connection_info%5Bprotocol%5D=ftp&amp;connection_info%5Bhost%5D=ftp2.feedonomics.com&amp;connection_info%5Busername%5D=username&amp;connection_info%5Bpassword%5D=password&amp;file_info%5Brequest_type%5D=get&amp;file_info%5Bfile_type_name%5D=File%20Name&amp;file_info%5Bclean_ftp%5D=false&amp;file_info%5Bdirectory%5D=%2FFEED110&amp;file_info%5Bfilename%5D=1_import_practical.txt&amp;actions%5Bremove_bad_characters%5D=1"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'x-api-key' => 'x-api-key',
  ],
]);

echo $response->getBody();
```

```csharp ftp
using RestSharp;

var client = new RestClient("https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "x-api-key");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"ftp\",\n  \"join_type\": \"product_feed\",\n  \"file_location\": \"preprocess_script\",\n  \"tags\": {\n    \"platform\": \"Not Applicable\"\n  },\n  \"preprocess_info\": {\n    \"actions\": {\n      \"id\": \"remove_bad_characters\",\n      \"options\": 1\n    },\n    \"connection_info\": {\n      \"host\": \"ftp2.feedonomics.com\",\n      \"password\": \"password\",\n      \"protocol\": \"ftp\",\n      \"username\": \"username\"\n    },\n    \"file_info\": {\n      \"clean_ftp\": false,\n      \"directory\": \"\\\\/FEED110\",\n      \"file_match\": \"\",\n      \"file_type_name\": \"File Name\",\n      \"filename\": \"1_import_practical.txt\",\n      \"keep_files_count\": \"\",\n      \"request_type\": \"get\"\n    }\n  },\n  \"url\": \"https:\\\\/\\\\/haproxy-preprocess.feedonomics.com\\\\/preprocess\\\\/run_preprocess.php?connection_info%5Bprotocol%5D=ftp&amp;connection_info%5Bhost%5D=ftp2.feedonomics.com&amp;connection_info%5Busername%5D=username&amp;connection_info%5Bpassword%5D=password&amp;file_info%5Brequest_type%5D=get&amp;file_info%5Bfile_type_name%5D=File%20Name&amp;file_info%5Bclean_ftp%5D=false&amp;file_info%5Bdirectory%5D=%2FFEED110&amp;file_info%5Bfilename%5D=1_import_practical.txt&amp;actions%5Bremove_bad_characters%5D=1\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift ftp
import Foundation

let headers = [
  "x-api-key": "x-api-key",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "ftp",
  "join_type": "product_feed",
  "file_location": "preprocess_script",
  "tags": ["platform": "Not Applicable"],
  "preprocess_info": [
    "actions": [
      "id": "remove_bad_characters",
      "options": 1
    ],
    "connection_info": [
      "host": "ftp2.feedonomics.com",
      "password": "password",
      "protocol": "ftp",
      "username": "username"
    ],
    "file_info": [
      "clean_ftp": false,
      "directory": "\/FEED110",
      "file_match": "",
      "file_type_name": "File Name",
      "filename": "1_import_practical.txt",
      "keep_files_count": "",
      "request_type": "get"
    ]
  ],
  "url": "https:\/\/haproxy-preprocess.feedonomics.com\/preprocess\/run_preprocess.php?connection_info%5Bprotocol%5D=ftp&amp;connection_info%5Bhost%5D=ftp2.feedonomics.com&amp;connection_info%5Busername%5D=username&amp;connection_info%5Bpassword%5D=password&amp;file_info%5Brequest_type%5D=get&amp;file_info%5Bfile_type_name%5D=File%20Name&amp;file_info%5Bclean_ftp%5D=false&amp;file_info%5Bdirectory%5D=%2FFEED110&amp;file_info%5Bfilename%5D=1_import_practical.txt&amp;actions%5Bremove_bad_characters%5D=1"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```